<?php
//Lowstream contains technology created and maintained by Harald Hope.  http://www.techpatterns.com/

//Lowstream also contains technology created and maintained by Benedict Eastaugh.  http://www.ionfish.co.uk/

//This pulls the Lowstream stylesheet for use in the ACP.
$themeData = get_theme_data(TEMPLATEPATH . '/style.css');

//This defines the colors of the box that appears around a selected header.  It MUST be hex.
$highlightColor = "#457BCC";

//This defines the upload path for headers and the path that the header script should look in for those files.
$path = TEMPLATEPATH . '/headers/';

//These are the initial variables for the customized messages in the fade boxes.
$fadebox = "Your options have been updated.";
$fadeboxs = "Your style has been updated.";

//This is setting the global color information variable for most of the below functions.
global $colors;
$colors = get_option('low_style');

add_action('admin_head', 'inject');
	
//This injects the special effect javascript for the header image panel.
function inject() {
	echo '<script src="' . get_bloginfo('template_directory') . '/js/prototype.js' .'" type="text/javascript"></script>';
	echo '<script src="' . get_bloginfo('template_directory') . '/js/scriptaculous.js' .'" type="text/javascript"></script>';
	echo '<script src="' . get_bloginfo('template_directory') . '/js/objects.js' .'" type="text/javascript"></script>';
}

//This checks to see whether or not Lowstream has been initialized within the database.  If not, it will install Lowstream's schema and populate the schema with the default values.
if (!get_option('low_installed')) {
	add_option('low_installed', '2.2.2', '', $autoload);
	add_option('low_header', 'blocks.jpg', '', $autoload);
	add_option('low_navbar', 'no', '', '');
	add_option('low_calendar', 'yes', '','');
	add_option('low_pcalendar', 'bottom', '','');
	add_option('low_ssidebar', 'yes', '','');
	add_option('low_psearch', 'top', '','');
	add_option('low_psidebar', 'right', '','');
	add_option('low_slabel', 'no', '', '');
	add_option('low_hlink', 'yes', '', '');
	$colors_init = array (
		'page_back' => '#DAE6F6',
		'head_borl' => '#777',
		'head_borr' => '#777',
		'head_borb' => '#BBB',
		'nav_back' => '#FFF',
		'nav_ibak' => '#FFF',
		'nav_itex' => '#457BCC',
		'nav_lite' => '#457BCC',
		'nav_htex' => '#FFF',
		'ance_back' => '#FFF',
		'ance_outl' => '#777',
		'ance_text' => '#777',
		'ance_link' => '#457BCC',
		'post_head' => '#457BCC',
		'post_link' => '#457BCC',
		'post_text' => '#777',
		'post_qbor' => '#BBB',
		'post_qbac' => '#EEE',
		'post_divi' => '#BBB',
		'comm_head' => '#457BCC',
		'comm_subh' => '#457BCC',
		'comm_outl' => '#457BCC',
		'comm_text' => '#777',
		'comm_link' => '#457BCC',
		'side_head' => '#457BCC',
		'side_divi' => '#777',
		'side_text' => '#777',
		'side_itex' => '#FFF',
		'side_lite' => '#457BCC',
		'side_htex' => '#FFF',
		'cale_head' => '#457BCC',
		'cale_days' => '#777',
		'cale_text' => '#777',
		'cale_link' => '#457BCC',
		'cale_outl' => '#777',
		'cale_dead' => '#EEE',
		'foot_text' => '#777',
		'foot_link' => '#457BCC',
		'foot_bort' => '#BBB',
		'foot_borl' => '#777',
		'foot_borr' => '#777',
		'foot_borb' => '#BBB',
		'foot_back' => '#FFF',
		'srch_bord' => '#777',
		'srch_back' => '#FFF'
		);
	add_option('low_style', $colors_init, '','');
}

//This checks to make sure that when you upgrade your copy of Lowstream, that the database schema gets updated along with it.
if (get_option('low_installed') != "2.2.2") {
	update_option('low_installed', '2.2.2', '','');
	if (get_option('low_header') != "blocks.jpg") {
		update_option('low_header', 'blocks.jpg', '', $autoload);
	}
	add_option('low_navbar', 'no', '' , '');
	add_option('low_psidebar', 'right', '','');
	add_option('low_psearch', 'top', '','');
	add_option('low_pcalendar', 'bottom', '','');
	add_option('low_ftagline', 'no', '','');
	add_option('low_slabel', 'no', '', '');
	add_option('low_hlink', 'no', '', '');
}

//This function ecompasses the population of any row that is attributed to the General options tab in the ACP.
function generalupdate() {
	global $wpdb, $user_ID, $fadebox;
	get_currentuserinfo();

	if (!empty($_POST)) {
			
		//This saves whatever you've typed in the General Announcement field.
		$announce = $_POST['low_announce'];
        update_option('low_announce', $announce, '','');
		
        //This saves whatever you've typed in the Footer Text field.
		$foottext = $_POST['low_footer'];
		update_option('low_footer', $foottext, '','');
				
		//This takes the information saved by the Javascript header selection gallery and removes the -thumb portion of the filename so that Lowstream can know which header to load.
		if (isset($_POST['header_image'])) {
			$header = $_POST['header_image'];
			$header = @str_replace("-thumb", "", $header);
			update_option('low_header', $header, '','');
		}
		
		//Saves whether or not you want your header image to link to your blog's main index.
		if ($_POST['low_hlink'] == "on") { 
			update_option('low_hlink', 'yes', '',''); 
		} else { 
			update_option('low_hlink', 'no', '',''); 
		}
		
		//Saves whether or not the navigation bar displays.
		if ($_POST['low_navbar'] == "on") { 
			update_option('low_navbar', 'yes', '',''); 
		} else { 
			update_option('low_navbar', 'no', '',''); 
		}
			
		//This saves the On/Off status of your General Announcement.
		if ($_POST['low_astatus'] == "on") { 
			update_option('low_astatus', 'on', '',''); 
		} else { 
			update_option('low_astatus', 'off', '',''); 
		}
		
		//This saves whether or not you've chosen to use your General Announcement block as a PHP block instead.
		if ($_POST['low_aphp'] == "on") { 
			update_option('low_aphp', 'yes', '',''); 
		} else { 
			update_option('low_aphp', 'no', '',''); 
		}
		
		//This saves whether or not you've chosen to display the search field on the sidebar.
		if ($_POST['low_ssidebar'] == "on") {
			update_option('low_ssidebar', 'yes', '','');
		} else {
			update_option('low_ssidebar', 'no', '','');
		}
		
		//This saves whether or not you've chosen to label the search field on the sidebar.
		if ($_POST['low_slabel'] == "on") {
			update_option('low_slabel', 'yes', '','');
		} else {
			update_option('low_slabel', 'no', '','');
		}
		
		//This saves whether or not you've chosen to display the Calendar on the sidebar.
		if ($_POST['low_calendar'] == "on") {
			update_option('low_calendar', 'yes', '','');
		} else {
			update_option('low_calendar', 'no', '','');
		}
		
		//This saves which position you've chosen the sidebar to be displayed in.
		if ($_POST['low_psidebar'] == "left") {
			update_option('low_psidebar', 'left', '','');
		} else {
			update_option('low_psidebar', 'right', '','');
		}
		
		//This saves your search field position.
		if ($_POST['low_psearch'] == "top") {
			update_option('low_psearch', 'top', '','');
		} else {
			update_option('low_psearch', 'bottom', '','');
		}
		
		//This saves your Calendar position.
		if ($_POST['low_pcalendar'] == "top") {
			update_option('low_pcalendar', 'top', '','');
		} else {
			update_option('low_pcalendar', 'bottom', '','');
		}
		
		//This saves your choice regarding Lowstream using your Wordpress Tagline as your footer.
		if ($_POST['low_ftagline'] == "on") {
			$text = get_option('blogdescription');
			update_option('low_ftagline', 'yes', '','');
			update_option('low_footer', $text, '','');
		} else {
			update_option('low_ftagline', 'no', '','');
		}
	}
}

//This function handles the population of any row attributed to the Styles & Colors tab.
function stylesupdate()	{
    global $wpdb, $user_ID, $fadebox, $fadeboxs;
	get_currentuserinfo();
	
	if (isset($_POST['postcolors'])) {
		update_option('low_style', $_POST['postcolors'], '', '');
	}
}
//These three functions control both the position of the sidebar in the theme and which background image the theme uses for coherency.
// get_low_scode1 determines the float of the main content.
// get_low_scode 2 determines the float of the sidebar itself.
// NOTE: These two values (the floats) should ALWAYS be opposite of each other.
// get_low_scode3 determines which background image the theme uses.
function get_low_scode1() {
	if (get_option('low_psidebar') == "left") {
		echo ('right');
	} else {
		echo ('left');
	}
	
}

function get_low_scode2() {
	if (get_option('low_psidebar') == "left") {
		echo ('left');
	} else {
		echo ('right');
	}
}

function get_low_scode3() {
	if (get_option('low_psidebar') == "left") {
		echo ('bg_left.gif');
	} else {
		echo ('bg_right.gif');
	}
}

//This functions prints your General Announcement.  It first checks to make sure that the General Announcement is enabled, and then if it is, it prints it out.
//If it finds any value other than "on", it reads it as "off" and will disable the General Announcement.
//Secondly, it checks whether or not you've chosen to use the General Announcement block as a PHP block instead.  If you have, it sets PHP to evaluate the echo function as a script instead of HTML/Text.
function get_low_announce() {
	if (get_option('low_astatus') == "on") {
		if (get_option('low_aphp') == "yes") {
			echo ('<div id="announce">');
			echo stripslashes(eval(get_option('low_announce')));
			echo ('</div>');
		} else {
			echo ('<div id="announce">');
			echo stripslashes(get_option('low_announce'));
			echo ('</div>');
		}
	}
}

//This function prints your footer text.  It checks to see if the footer has been customized and prints the customized text if it exists.
//If no customized text is found, it print the default value given in the first if clause.
function get_low_footer() {
	if (get_option('low_footer') == '') {
		echo ('Copyright 2006 You.');
	}
	else {
		echo stripslashes(get_option('low_footer'));
	}
}

//BEGIN Color Information Functions
//These functions control the dynamic color schemes in Lowstream.  For more information on how to add your own boxes, to customize
//parts of the theme not already here, visit the Lowstream website.
function get_page_back() {
	global $colors;
	
	if ($colors['page_back'] == '') {
		echo ('#DAE6F6');
	} else {
		echo ($colors['page_back']);
	}
}

function get_head_borl() {
	global $colors;
	
	if ($colors['head_borl'] == '') {
		echo ('#777');
	} else {
		echo ($colors['head_borl']);
	}
}

function get_head_borr() {
	global $colors;
	
	if ($colors['head_borr'] == '') {
		echo ('#777');
	} else {
		echo ($colors['head_borr']);
	}
}

function get_head_borb() {
	global $colors;
	
	if ($colors['head_borb'] == '') {
		echo ('#BBB');
	} else {
		echo ($colors['head_borb']);
	}
}

function get_nav_back() {
	global $colors;
	
	if ($colors['nav_back'] == '') {
		echo ('#FFF');
	} else {
		echo ($colors['nav_back']);
	}
}

function get_nav_ibak() {
	global $colors;
	
	if ($colors['nav_ibak'] == '') {
		echo ('#FFF');
	} else {
		echo ($colors['nav_ibak']);
	}
}

function get_nav_itex() {
	global $colors;
	
	if ($colors['nav_itex'] == '') {
		echo ('#457BCC');
	} else {
		echo ($colors['nav_itex']);
	}
}

function get_nav_lite() {
	global $colors;
	
	if ($colors['nav_lite'] == '') {
		echo ('#457BCC');
	} else {
		echo ($colors['nav_lite']);
	}
}

function get_nav_htex() {
	global $colors;
	
	if ($colors['nav_htex'] == '') {
		echo ('#FFF');
	} else {
		echo ($colors['nav_htex']);
	}
}

function get_ance_back() {
	global $colors;
	
	if ($colors['ance_back'] == '') {
		echo ('#FFF');
	} else {
		echo ($colors['ance_back']);
	}
}

function get_ance_text() {
	global $colors;
	
	if ($colors['ance_text'] == '') {
		echo ('#777');
	} else {
		echo ($colors['ance_text']);
	}
}

function get_ance_link() {
	global $colors;
	
	if ($colors['ance_link'] == '') {
		echo ('#457BCC');
	} else {
		echo ($colors['ance_link']);
	}
}

function get_ance_outl() {
	global $colors;
	
	if ($colors['ance_outl'] == '') {
		echo ('#777');
	} else {
		echo ($colors['ance_outl']);
	}
}

function get_post_head() {
	global $colors;
	
	if ($colors['post_head'] == '') {
		echo ('#457BCC');
	} else {
		echo ($colors['post_head']);
	}
}

function get_post_link() {
	global $colors;
	
	if ($colors['post_link'] == '') {
		echo ('#457BCC');
	} else {
		echo ($colors['post_link']);
	}
}

function get_post_text() {
	global $colors;
	
	if ($colors['post_text'] == '') {
		echo ('#777');
	} else {
		echo ($colors['post_text']);
	}
}

function get_post_qbor() {
	global $colors;
	
	if ($colors['post_qbor'] == '') {
		echo ('#A6BFE7');
	} else {
		echo ($colors['post_qbor']);
	}
}

function get_post_qbac() {
	global $colors;
	
	if ($colors['post_qbac'] == '') {
		echo ('#E8EFF9');
	} else {
		echo ($colors['post_qbac']);
	}
}

function get_post_divi() {
	global $colors;
	
	if ($colors['post_divi'] == '') {
		echo ('#BBB');
	} else {
		echo ($colors['post_divi']);
	}
}

function get_comm_head() {
	global $colors;
	
	if ($colors['comm_head'] == '') {
		echo ('#457BCC');
	} else {
		echo ($colors['comm_head']);
	}
}

function get_comm_subh() {
	global $colors;
	
	if ($colors['comm_subh'] == '') {
		echo ('#457BCC');
	} else {
		echo ($colors['comm_subh']);
	}
}

function get_comm_outl() {
	global $colors;
	
	if ($colors['comm_outl'] == '') {
		echo ('#457BCC');
	} else {
		echo ($colors['comm_outl']);
	}
}

function get_comm_text() {
	global $colors;
	
	if ($colors['comm_text'] == '') {
		echo ('#777');
	} else {
		echo ($colors['comm_text']);
	}
}

function get_comm_link() {
	global $colors;
	
	if ($colors['comm_link'] == '') {
		echo ('#457BCC');
	} else {
		echo ($colors['comm_link']);
	}
}

function get_side_head() {
	global $colors;
	
	if ($colors['side_head'] == '') {
		echo ('#457BCC');
	} else {
		echo ($colors['side_head']);
	}
}

function get_side_divi() {
	global $colors;
	
	if ($colors['side_divi'] == '') {
		echo ('#777');
	} else {
		echo ($colors['side_divi']);
	}
}

function get_side_text() {
	global $colors;
	
	if ($colors['side_text'] == '') {
		echo ('#777');
	} else {
		echo ($colors['side_text']);
	}
}

function get_side_itex() {
	global $colors;
	
	if ($colors['side_itex'] == '') {
		echo ('#FFF');
	} else {
		echo ($colors['side_itex']);
	}
}

function get_side_lite() {
	global $colors;
	
	if ($colors['side_lite'] == '') {
		echo ('#457BCC');
	} else {
		echo ($colors['side_lite']);
	}
}

function get_side_htex() {
	global $colors;
	
	if ($colors['side_htex'] == '') {
		echo ('#FFF');
	} else {
		echo ($colors['side_htex']);
	}
}

function get_cale_head() {
	global $colors;
	
	if ($colors['cale_head'] == '') {
		echo ('#457BCC');
	} else {
		echo ($colors['cale_head']);
	}
}

function get_cale_days() {
	global $colors;
	
	if ($colors['cale_days'] == '') {
		echo ('#777');
	} else {
		echo ($colors['cale_days']);
	}
}

function get_cale_text() {
	global $colors;
	
	if ($colors['cale_text'] == '') {
		echo ('#777');
	} else {
		echo ($colors['cale_text']);
	}
}

function get_cale_link() {
	global $colors;
	
	if ($colors['cale_link'] == '') {
		echo ('#457BCC');
	} else {
		echo ($colors['cale_link']);
	}
}

function get_cale_outl() {
	global $colors;
	
	if ($colors['cale_outl'] == '') {
		echo ('#777');
	} else {
		echo ($colors['cale_outl']);
	}
}

function get_cale_dead() {
	global $colors;
	
	if ($colors['cale_dead'] == '') {
		echo ('#EEE');
	} else {
		echo ($colors['cale_dead']);
	}
}

function get_foot_text() {
	global $colors;
	
	if ($colors['foot_text'] == '') {
		echo ('#777');
	} else {
		echo ($colors['foot_text']);
	}
}

function get_foot_link() {
	global $colors;
	
	if ($colors['foot_link'] == '') {
		echo ('#457BCC');
	} else {
		echo ($colors['foot_link']);
	}
}

function get_foot_bort() {
	global $colors;
	
	if ($colors['foot_bort'] == '') {
		echo ('#BBB');
	} else {
		echo ($colors['foot_bort']);
	}
}

function get_foot_borl() {
	global $colors;
	
	if ($colors['foot_borl'] == '') {
		echo ('#777');
	} else {
		echo ($colors['foot_borl']);
	}
}

function get_foot_borr() {
	global $colors;
	
	if ($colors['foot_borr'] == '') {
		echo ('#777');
	} else {
		echo ($colors['foot_borr']);
	}
}

function get_foot_borb() {
	global $colors;
	
	if ($colors['foot_borb'] == '') {
		echo ('#BBB');
	} else {
		echo ($colors['foot_borb']);
	}
}

function get_foot_back() {
	global $colors;
	
	if ($colors['foot_back'] == '') {
		echo ('#FFF');
	} else {
		echo ($colors['foot_back']);
	}
}

function get_srch_bord() {
	global $colors;
	
	if ($colors['srch_bord'] == '') {
		echo ('#777');
	} else {
		echo ($colors['srch_bord']);
	}
}

function get_srch_back() {
	global $colors;
	
	if ($colors['srch_back'] == '') {
		echo ('#FFF');
	} else {
		echo ($colors['srch_back']);
	}
}

//END Color Information Functions

//BEGIN Admin Menu Additions
//The following functions add the tabs to the Wordpress presentation panel.
add_action ('admin_menu', 'lowstreammenu');

function lowstreammenu() {
        add_submenu_page('themes.php', 'General Options', 'General Options', 5, 'general', 'general');
		add_submenu_page('themes.php', 'Colors &amp; Styles', 'Colors &amp; Styles', 5, 'styles', 'style');
}

function general() {
		global $highlightColor, $fadebox, $colors;
		$colors = get_option('low_style');
				        
		load_plugin_textdomain('lowstreamoptions');
//END Admin Menu Additions       

// BEGIN Lowstream Options Page
?>

<?php if (isset($_POST['Submit'])) : ?>

		<div id="updated" class="updated fade">
            <p><?php _e($fadebox); ?></p>
        </div>
		
<?php endif; ?>

<div class="wrap">

	<h2>General Options</h2>
	
	<form enctype="multipart/form-data" name="dofollow" action="" method="post">

        <input type="hidden" name="action" value="<?php generalupdate(); ?>" />
        
        <table width="700px" cellspacing="2" cellpadding="5" class="editform">
		<tr valign="top">
			<td>
                <h3>Header Image Selection</h3>
				<label for="header_image">
					<?php
					global $wpdb;
					$name = get_option('low_header');
					$header_dir = @ dir(TEMPLATEPATH . '/headers');
					
					if ($header_dir) {
						while(($file = $header_dir->read()) !== false) {
							if (!preg_match('|^\.+$|', $file) && preg_match('@\-thumb.(jpg|png|gif)$@', $file))  {
                                                		$header_images[] = $file;
							}
						}
					}
						
					if ($header_dir || $header_images) {
						$count = 0;
							foreach($header_images as $header_image) {
                                $count++;
                                    echo '<img class="header_image" style="padding: 5px;';
                                        if(str_replace("-thumb", "", $header_image) == get_option('low_header')) {
                                           	echo " background-color: $highlightColor;";
                                        }
								echo '" id="img' . $count . '" src="' . get_settings('siteurl') . "/wp-content/themes/" . get_template() . '/headers/' . $header_image . '" onclick="$(\'header_image\').value = \'' . $header_image . "'; new Effect.Highlight(this, {duration: 2.0, startcolor: '#ffffff', endcolor: '$highlightColor', restorecolor: '$highlightColor', beforeStart: function() { a = document.getElementsByClassName('header_image'); for(i = 0; i < a.length; i++) { a[i].style.backgroundColor = '#ffffff' }}});\" />" . "\n";
							}
					}
					?>
                    <input type="hidden" name="header_image" id="header_image" value="<?php echo stripslashes(get_option('low_header')); ?>" /><br />
				</label>
				<br />
				<br />
				<label for="low_hlink">
                    <input type="checkbox" name="low_hlink" id="low_hlink" <?php if (get_option('low_hlink') == 'yes') { echo ('checked'); } ?>>
						<small>Link your header to your blog's main index?</small>
					</input>
				</label>
				&nbsp;
				&nbsp;
				<label for="low_navbar">
                    <input type="checkbox" name="low_navbar" id="low_navbar" <?php if (get_option('low_navbar') == 'yes') { echo ('checked'); } ?>>
						<small>Enable the navigation bar in the header?</small>
					</input>
				</label>
				<br />
				<br />
				<small>
					<b>The Header:</b> By default Lowstream uses a 786(w) by 130(h) image for the header.
                    <br />
					<br />
					<b>The Thumbnail:</b> This file must have a specific name and its format will determine the format of your header that Lowstream looks for.  For instance, if you have a header named header.jpg, the thumbnail <b>must</b> be named <i>header-thumb.jpg</i>.  The thumbnail <b>must always</b> be the same image format as the header.  For best results, it is recommended that your thumbnail be 130x130 in size and in PNG. JPG, or GIF format.
					<br />
					<br />
					<b>Navbar Links:</b>  Click on the Links tab in the Wordpress control panel.  Click on the Link Categories tab.  Create a new category named <b>Navbar</b>.  To add links to your Navbar, simply add links to this category like you would any other link category.
				</small>
			</td>
		</tr>
		
		<tr valign="top">
           	<td>
                <h3>General Announcement Text</h3>
				<label for="low_announce">
					<input name="low_announce" style="width: 98%;" cols="8" id="low_announce" value="<?php echo htmlentities(stripslashes(get_option('low_announce'))); ?>" />
				</label>
				<label for="low_astatus">
                        		<input type="checkbox" name="low_astatus" id="low_astatus" <?php if (get_option('low_astatus') == 'on') { echo ('checked'); } ?>>
                        			<small>Turn on the announcement?</small>
								</input>
								&nbsp;&nbsp;
								<input type="checkbox" name="low_aphp" id="low_aphp" <?php if (get_option('low_aphp') == 'yes') { echo ('checked'); } ?>>
									<small>Turn this into a PHP block?</small>
									<br />
									<br />
									<small><b>Note:</b> Because Lowstream must follow PHP and HTML rules like everything else, it does not support plain text/HTML and PHP in combination under normal circumstances.  To circumvent this shortcoming, you can enable PHP parsing by ticking the checkbox and put your HTML code inside PHP <i>echo</i> functions.</small>
                                </input>
				</label>
				
			</td>
                </tr>
			
		<tr valign="top">
            <td>
                <h3>Footer Text</h3>
				<label for="low_footer">
					<input <?php if (get_option('low_ftagline') == 'yes') { echo ('disabled'); } ?> name="low_footer" style="width: 98%;" cols="8" id="low_footer" value="<?php echo htmlentities(stripslashes(get_option('low_footer'))); ?>" />
				</label>
				<label for="low_ftagline">
                    <input type="checkbox" name="low_ftagline" id="low_ftagline" <?php if (get_option('low_ftagline') == 'yes') { echo ('checked'); } ?>>
                        <small>Use your Wordpress tagline?</small>
					</input>
				</label>
			</td>
        </tr>
		
		<tr valign="top">
           	<td>
                <h3>Sidebar Features</h3>
				<input type="radio" name="low_psidebar" id="low_psidebar" value="left" <?php if (get_option('low_psidebar') == 'left') { echo ('checked="checked"'); } ?>>
					<small>Display the sidebar on the left?</small>
				</input>
				<br />
				<input type="radio" name="low_psidebar" id="low_psidebar" value="right" <?php if (get_option('low_psidebar') == 'right') { echo ('checked="checked"'); } ?>>
					<small>Display the sidebar on the right?</small>
				</input>
				<br />
				<br />
				<label for="low_ssidebar">
                    <input type="checkbox" name="low_ssidebar" id="low_ssidebar" <?php if (get_option('low_ssidebar') == 'yes') { echo ('checked'); } ?>>
						<small>Show a search box on the sidebar?</small>
					</input>
				</label>
				&nbsp;
				<label for="low_slabel">
                    <input type="checkbox" name="low_slabel" id="low_slabel" <?php if (get_option('low_slabel') == 'yes') { echo ('checked'); } ?>>
						<small>Label the search box?</small>
					</input>
				</label>
				<br />
				<input type="radio" name="low_psearch" id="low_psearch" value="top" <?php if (get_option('low_psearch') == 'top') { echo ('checked="checked"'); } ?>>
					<small>Display the search box at the top of the sidebar?</small>
				</input>
				<br>
				<input type="radio" name="low_psearch" id="low_psearch" value="bottom" <?php if (get_option('low_psearch') == 'bottom') { echo ('checked="checked"'); } ?>>
					<small>Display the search box at the bottom of the sidebar?</small>
				</input>
				<br />
				<br />
				<label for="low_calendar">
                    <input type="checkbox" name="low_calendar" id="low_calendar" <?php if (get_option('low_calendar') == 'yes') { echo ('checked'); } ?>>
						<small>Show the Wordpress Calendar on the sidebar?</small>
					</input>
				</label>
				<br />
				<input type="radio" name="low_pcalendar" id="low_pcalendar" value="top" <?php if (get_option('low_pcalendar') == 'top') { echo ('checked="checked"'); } ?>>
					<small>Display the calendar at the top of the sidebar?</small>
				</input>
				<br>
				<input type="radio" name="low_pcalendar" id="low_pcalendar" value="bottom" <?php if (get_option('low_pcalendar') == 'bottom') { echo ('checked="checked"'); } ?>>
					<small>Display the calendar at the bottom of the sidebar?</small>
				</input>
			</td>
        </tr>
	</table>
		
	<h2>About Lowstream</h2>
		
	<table width="700px" cellspacing="2" cellpadding="5" class="editform">
		<tr>
			<td>
				Main Design/Development/Logic  -  Jonathan Dewar
				<br />
				<br />
				Version <?php echo(get_option('low_installed')); ?>
				<br />
				<br />
				<a href="http://wp.lowstream.com">Lowstream for Wordpress Website</a> - ( <a href="http://wp.lowstream.com/changelog/">Changelog</a> )
				<br />
				<br />
				<?php
					$read =	implode('', file('http://shared.lowstream.com/v/notice/update.ini'));
					$link =	implode('', file('http://shared.lowstream.com/v/notice/link.ini'));
					
					if (get_option('low_installed') < $read) {
						echo "<a href=\"$link\"><b>There is a new version of Lowstream available!  Click this link for more information.</b></a>";
					} else {
						echo ('<b>You are currently using the latest version of Lowstream.  There are no updates available.</b>');
					}
				?>
				<br />
				<br />
				Copyright &copy; 2006-2007 Lowstream, Inc.  All rights reserved.
				<br />
				<i>The code is open-source.  The branding is not.</i>
				<br />
				<br />
				Valid XHTML 1.0!
				&nbsp;
				-
				&nbsp;
				Valid CSS Level 2!
			</td>
		</tr>
	</table>
        	
        <p class="submit"><input type="submit" name="Submit" value="<?php _e('Update Options') ?> &raquo;" /></p>
        
        </form>
</div>

<?php 

}

function style() {
	global $fadebox, $colors, $fadeboxs;


	if (!$_POST['postcolors']) {
		$colors = get_option('low_style');
	} else {
		$colors = $_POST['postcolors'];
	}

?>
<?php if (isset($_POST['Submit'])) : ?>

		<div id="updated" class="updated fade">
            <p><?php _e($fadeboxs); ?></p>
        </div>
		
<?php endif; ?>

<div class="wrap">
	
	<form name="dofollow" action="" method="post">
	<input type="hidden" name="action" value="<?php stylesupdate(); ?>" />

	<?php
	//        echo "Colors array: <br />";
	//        echo "<pre>".print_r($colors, true)."</pre>";
	?>
	
	
	<h2>Header Image</h2>
	
	<table cellspacing="2" cellpadding="5" class="editform">	
		<tr style="height: 90px;" valign="bottom">
            <td style="width: 45px; background-color: <?php echo($colors['head_borl']); ?>; border: 1px solid #333;">
				<label for="head_borl">
					<input name="postcolors[head_borl]" size="8" value="<?php echo($colors['head_borl']); ?>" />
				</label>
			</td>
					
			<td style="width: 45px; background-color: <?php echo($colors['head_borr']); ?>; border: 1px solid #333;">
				<label for="head_borr">
					<input name="postcolors[head_borr]" size="8" value="<?php echo($colors['head_borr']); ?>" />
				</label>
			</td>
					
			<td style="width: 45px; background-color: <?php echo($colors['head_borb']); ?>; border: 1px solid #333;">
				<label for="head_borb">
					<input name="postcolors[head_borb]" size="8" value="<?php echo($colors['head_borb']); ?>" />
				</label>
			</td>
		</tr>
			
		<tr valign="top" style="text-align: center;">
			<td style="width: 45px;">
				<small>Border: Left</small>
			</td>
			
			<td style="width: 45px;">
				<small>Border: Right</small>
			</td>
			
			<td style="width: 45px;">
				<small>Border: Bottom</small>
				</td>
		</tr>
	</table>
	
	<h2>Navigation Bar</h2>
			
	<table cellspacing="2" cellpadding="5" class="editform">	
		<tr style="height: 90px;" valign="bottom">
            <td style="width: 45px; background-color: <?php echo($colors['nav_back']); ?>; border: 1px solid #333;">
				<label for="nav_back">
					<input name="postcolors[nav_back]" size="8" value="<?php echo($colors['nav_back']); ?>" />
				</label>
            </td>
					
			<td style="width: 45px; background-color: <?php echo($colors['nav_ibak']); ?>; border: 1px solid #333;">
				<label for="nav_ibak">
					<input name="postcolors[nav_ibak]" size="8" value="<?php echo($colors['nav_ibak']); ?>" />
				</label>
			</td>
            
			<td style="width: 45px; background-color: <?php echo($colors['nav_itex']); ?>; border: 1px solid #333;">
				<label for="nav_itex">
					<input name="postcolors[nav_itex]" size="8" value="<?php echo($colors['nav_itex']); ?>" />
				</label>
			</td>
			
			<td style="width: 45px; background-color: <?php echo($colors['nav_lite']); ?>; border: 1px solid #333;">
				<label for="nav_lite">
					<input name="postcolors[nav_lite]" size="8" value="<?php echo($colors['nav_lite']); ?>" />
				</label>
			</td>
			
			<td style="width: 45px; background-color: <?php echo($colors['nav_htex']); ?>; border: 1px solid #333;">
				<label for="nav_htex">
					<input name="postcolors[nav_htex]" size="8" value="<?php echo($colors['nav_htex']); ?>" />
				</label>
			</td>
        </tr>
			
		<tr valign="top" style="text-align: center;">
			<td style="width: 45px;">
				<small>Main Backround</small>
			</td>
				
			<td style="width: 45px;">
				<small>Inactive Background</small>
			</td>
			
			<td style="width: 45px;">
				<small>Inactive Link</small>
			</td>
			
			<td style="width: 45px;">
				<small>Active Background</small>
			</td>
			
			<td style="width: 45px;">
				<small>Active Link</small>
			</td>
		</tr>
		
	</table>
	
	<h2>General Announcement</h2>
			
	<table cellspacing="2" cellpadding="5" class="editform">	
		<tr style="height: 90px;" valign="bottom">
                        <td style="width: 45px; background-color: <?php echo($colors['ance_back']); ?>; border: 1px solid #333;">
				<label for="ance_back">
					<input name="postcolors[ance_back]" size="8" value="<?php echo($colors['ance_back']); ?>" />
				</label>
			</td>
					
			<td style="width: 45px; background-color: <?php echo($colors['ance_outl']); ?>; border: 1px solid #333;">
				<label for="ance_outl">
					<input name="postcolors[ance_outl]" size="8" value="<?php echo($colors['ance_outl']); ?>" />
				</label>
			</td>
					
			<td style="width: 45px; background-color: <?php echo($colors['ance_text']); ?>; border: 1px solid #333;">
				<label for="ance_text">
					<input name="postcolors[ance_text]" size="8" value="<?php echo($colors['ance_text']); ?>" />
				</label>
			</td>
					
			<td style="width: 45px; background-color: <?php echo($colors['ance_link']); ?>; border: 1px solid #333;">
				<label for="ance_link">
					<input name="postcolors[ance_link]" size="8" value="<?php echo($colors['ance_link']); ?>" />
				</label>
			</td>
                </tr>
			
		<tr valign="top" style="text-align: center;">
			<td style="width: 45px;">
				<small>Background</small>
			</td>
			
			<td style="width: 45px;">
				<small>Outline</small>
			</td>
			
			<td style="width: 45px;">
				<small>Text</small>
				</td>
			
			<td style="width: 45px;">
				<small>Links</small>
			</td>
		</tr>
	</table>
			
	<h2>Posts and Pages</h2>
			
	<table cellspacing="2" cellpadding="5" class="editform">	
		<tr style="height: 90px;" valign="bottom">
                        <td style="width: 45px; background-color: <?php echo($colors['post_head']); ?>; border: 1px solid #333;">
				<label for="post_head">
					<input name="postcolors[post_head]" size="8" value="<?php echo($colors['post_head']); ?>" />
				</label>
                	</td>
					
			<td style="width: 45px; background-color: <?php echo($colors['post_text']); ?>; border: 1px solid #333;">
				<label for="post_text">
					<input name="postcolors[post_text]" size="8" value="<?php echo($colors['post_text']); ?>" />
				</label>
			</td>
            
			<td style="width: 45px; background-color: <?php echo($colors['post_qbor']); ?>; border: 1px solid #333;">
				<label for="post_qbor">
					<input name="postcolors[post_qbor]" size="8" value="<?php echo($colors['post_qbor']); ?>" />
				</label>
			</td>
			
			<td style="width: 45px; background-color: <?php echo($colors['post_qbac']); ?>; border: 1px solid #333;">
				<label for="post_qbac">
					<input name="postcolors[post_qbac]" size="8" value="<?php echo($colors['post_qbac']); ?>" />
				</label>
			</td>
			
			<td style="width: 45px; background-color: <?php echo($colors['post_divi']); ?>; border: 1px solid #333;">
				<label for="post_divi">
					<input name="postcolors[post_divi]" size="8" value="<?php echo($colors['post_divi']); ?>" />
				</label>
			</td>
            
			<td style="width: 45px; background-color: <?php echo($colors['post_link']); ?>; border: 1px solid #333;">
				<label for="post_link">
					<input name="postcolors[post_link]" size="8" value="<?php echo($colors['post_link']); ?>" />
				</label>
			</td>
        </tr>
			
		<tr valign="top" style="text-align: center;">
			<td style="width: 45px;">
				<small>Titles</small>
			</td>
				
			<td style="width: 45px;">
				<small>Text</small>
			</td>
			
			<td style="width: 45px;">
				<small>Quote Border</small>
			</td>
			
			<td style="width: 45px;">
				<small>Quote Backing</small>
			</td>
			
			<td style="width: 45px;">
				<small>Divider</small>
			</td>
			
			<td style="width: 45px;">
				<small>Links</small>
			</td>
		</tr>
		
	</table>
			
	<h2>Comments</h2>
		
	<table cellspacing="2" cellpadding="5" class="editform">	
		<tr style="height: 90px;" valign="bottom">
                        <td style="width: 45px; background-color: <?php echo($colors['comm_head']); ?>; border: 1px solid #333;">
				<label for="comm_head">
                			<input name="postcolors[comm_head]" size="8" value="<?php echo($colors['comm_head']); ?>" />
				</label>
			</td>
				
			<td style="width: 45px; background-color: <?php echo($colors['comm_outl']); ?>; border: 1px solid #333;">
				<label for="comm_outl">
					<input name="postcolors[comm_outl]" size="8" value="<?php echo($colors['comm_outl']); ?>" />
				</label>
			</td>
				
			<td style="width: 45px; background-color: <?php echo($colors['comm_subh']); ?>; border: 1px solid #333;">
				<label for="comm_subh">
					<input name="postcolors[comm_subh]" size="8" value="<?php echo($colors['comm_subh']); ?>" />
				</label>
			</td>
				
			<td style="width: 45px; background-color: <?php echo($colors['comm_text']); ?>; border: 1px solid #333;">
				<label for="comm_text">
					<input name="postcolors[comm_text]" size="8" value="<?php echo($colors['comm_text']); ?>" />
				</label>
			</td>
				
			<td style="width: 45px; background-color: <?php echo($colors['comm_link']); ?>; border: 1px solid #333;">
				<label for="comm_link">
					<input name="postcolors[comm_link]" size="8" value="<?php echo($colors['comm_link']); ?>" />
				</label>
			</td>
                </tr>
			
		<tr valign="top" style="text-align: center;">
			<td style="width: 45px;">
				<small>Heading</small>
			</td>
			
			<td style="width: 45px;">
				<small>Divider</small>
			</td>
			
			<td style="width: 45px;">
				<small>Sub-headings</small>
			</td>
			
			<td style="width: 45px;">
				<small>Text</small>
			</td>
			
			<td style="width: 45px;">
				<small>Links</small>
			</td>
		</tr>
			
	</table>
			
	<h2>Sidebar</h2>
	
	<table cellspacing="2" cellpadding="5" class="editform">	
		<tr style="height: 90px;" valign="bottom">
            <td style="width: 45px; background-color: <?php echo($colors['side_head']); ?>; border: 1px solid #333;">
				<label for="side_head">
					<input name="postcolors[side_head]" size="8" value="<?php echo($colors['side_head']); ?>" />
				</label>
			</td>
			
			<td style="width: 45px; background-color: <?php echo($colors['side_divi']); ?>; border: 1px solid #333;">
				<label for="side_divi">
					<input name="postcolors[side_divi]" size="8" value="<?php echo($colors['side_divi']); ?>" />
				</label>
			</td>
			
			<td style="width: 45px; background-color: <?php echo($colors['side_text']); ?>; border: 1px solid #333;">
				<label for="side_text">
					<input name="postcolors[side_text]" size="8" value="<?php echo($colors['side_text']); ?>" />
				</label>
			</td>
			
			<td style="width: 45px; background-color: <?php echo($colors['side_itex']); ?>; border: 1px solid #333;">
				<label for="side_itex">
					<input name="postcolors[side_itex]" size="8" value="<?php echo($colors['side_itex']); ?>" />
				</label>
			</td>
			
			<td style="width: 45px; background-color: <?php echo($colors['side_lite']); ?>; border: 1px solid #333;">
				<label for="side_lite">
					<input name="postcolors[side_lite]" size="8" value="<?php echo($colors['side_lite']); ?>" />
				</label>
			</td>
			
			<td style="width: 45px; background-color: <?php echo($colors['side_htex']); ?>; border: 1px solid #333;">
				<label for="side_htex">
                			<input name="postcolors[side_htex]" size="8" value="<?php echo($colors['side_htex']); ?>" />
				</label>
			</td>
                </tr>
		
		<tr valign="top" style="text-align: center;">
			<td style="width: 45px;">
				<small>Headings</small>
			</td>
			
			<td style="width: 45px;">
				<small>Dividers</small>
			</td>
			
			<td style="width: 45px;">
				<small>Inactive Link</small>
			</td>
			
			<td style="width: 45px;">
				<small>Inactive Background</small>
			</td>
			
			<td style="width: 45px;">
				<small>Active Background</small>
			</td>
			
			<td style="width: 45px;">
				<small>Active Link</small>
			</td>
		</tr>
	</table>
			
	<h2>Calendar</h2>
		<table cellspacing="2" cellpadding="5" class="editform">	
			<tr style="height: 90px;" valign="bottom">
            
			<td style="width: 45px; background-color: <?php echo($colors['cale_head']); ?>; border: 1px solid #333;">
				<label for="cale_head">
					<input name="postcolors[cale_head]" size="8" value="<?php echo($colors['cale_head']); ?>" />
				</label>
			</td>
			
			<td style="width: 45px; background-color: <?php echo($colors['cale_days']); ?>; border: 1px solid #333;">
				<label for="cale_head">
					<input name="postcolors[cale_days]" size="8" value="<?php echo($colors['cale_days']); ?>" />
				</label>
			</td>
			
			<td style="width: 45px; background-color: <?php echo($colors['cale_outl']); ?>; border: 1px solid #333;">
				<label for="cale_outl">
					<input name="postcolors[cale_outl]" size="8" value="<?php echo($colors['cale_outl']); ?>" />
				</label>
			</td>
			
			<td style="width: 45px; background-color: <?php echo($colors['cale_text']); ?>; border: 1px solid #333;">
				<label for="cale_text">
					<input name="postcolors[cale_text]" size="8" value="<?php echo($colors['cale_text']); ?>" />
				</label>
			</td>
			
			<td style="width: 45px; background-color: <?php echo($colors['cale_link']); ?>; border: 1px solid #333;">
				<label for="cale_link">
					<input name="postcolors[cale_link]" size="8" value="<?php echo($colors['cale_link']); ?>" />
				</label>
			</td>
			
			<td style="width: 45px; background-color: <?php echo($colors['cale_dead']); ?>; border: 1px solid #333;">
				<label for="cale_dead">
					<input name="postcolors[cale_dead]" size="8" value="<?php echo($colors['cale_dead']); ?>" />
				</label>
			</td>
		</tr>
	
		<tr valign="top" style="text-align: center;">
			<td style="width: 45px;">
				<small>Month</small>
			</td>
			
			<td style="width: 45px;">
				<small>Day Names</small>
			</td>
			
			<td style="width: 45px;">
				<small>Outline</small>
			</td>
			
			<td style="width: 45px;">
				<small>Text</small>
			</td>
			
			<td style="width: 45px;">
				<small>Links</small>
			</td>
			
			<td style="width: 45px;">
				<small>Deadspace</small>
			</td>
		</tr>
		
	</table>
			
	<h2>Footer</h2>
			
	<table cellspacing="2" cellpadding="5" class="editform">	
		<tr style="height: 90px;" valign="bottom">
                        <td style="width: 45px; background-color: <?php echo($colors['foot_text']); ?>; border: 1px solid #333;">
				<label for="foot_text">
					<input name="postcolors[foot_text]" size="8" value="<?php echo($colors['foot_text']); ?>" />
				</label>
			</td>
			
			<td style="width: 45px; background-color: <?php echo($colors['foot_link']); ?>; border: 1px solid #333;">
				<label for="foot_link">
					<input name="postcolors[foot_link]" size="8" value="<?php echo($colors['foot_link']); ?>" />
				</label>
			</td>
			
			<td style="width: 45px; background-color: <?php echo($colors['foot_bort']); ?>; border: 1px solid #333;">
				<label for="foot_bort">
					<input name="postcolors[foot_bort]" size="8" value="<?php echo($colors['foot_bort']); ?>" />
				</label>
			</td>
			
			<td style="width: 45px; background-color: <?php echo($colors['foot_borl']); ?>; border: 1px solid #333;">
				<label for="foot_borl">
					<input name="postcolors[foot_borl]" size="8" value="<?php echo($colors['foot_borl']); ?>" />
				</label>
			</td>
			
			<td style="width: 45px; background-color: <?php echo($colors['foot_borr']); ?>; border: 1px solid #333;">
				<label for="foot_borr">
					<input name="postcolors[foot_borr]" size="8" value="<?php echo($colors['foot_borr']); ?>" />
				</label>
			</td>
			
			<td style="width: 45px; background-color: <?php echo($colors['foot_borb']); ?>; border: 1px solid #333;">
				<label for="foot_borb">
					<input name="postcolors[foot_borb]" size="8" value="<?php echo($colors['foot_borb']); ?>" />
				</label>
			</td>
			
			<td style="width: 45px; background-color: <?php echo($colors['foot_back']); ?>; border: 1px solid #333;">
				<label for="foot_back">
					<input name="postcolors[foot_back]" size="8" value="<?php echo($colors['foot_back']); ?>" />
				</label>
			</td>
		</tr>
	
		<tr valign="top" style="text-align: center;">
			<td style="width: 45px;">
				<small>Text</small>
			</td>
			
			<td style="width: 45px;">
				<small>Links</small>
			</td>
			
			<td style="width: 45px;">
				<small>Border: Top</small>
			</td>
			
			<td style="width: 45px;">
				<small>Border: Left</small>
			</td>
			
			<td style="width: 45px;">
				<small>Border: Right</small>
			</td>
			
			<td style="width: 45px;">
				<small>Border: Bottom</small>
			</td>
			
			<td style="width: 45px;">
				<small>Background</small>
			</td>
		</tr>
		
	</table>
	
	<h2>Misc. Items</h2>
	
	<table cellspacing="2" cellpadding="5" class="editform">	
		<tr style="height: 90px;" valign="bottom">
            <td style="width: 45px; background-color: <?php echo($colors['page_back']); ?>; border: 1px solid #333;">
				<label for="page_back">
					<input name="postcolors[page_back]" size="8" value="<?php echo($colors['page_back']); ?>" />
				</label>
			</td>
			
			<td style="width: 45px; background-color: <?php echo($colors['srch_bord']); ?>; border: 1px solid #333;">
				<label for="srch_bord">
					<input name="postcolors[srch_bord]" size="8" value="<?php echo($colors['srch_bord']); ?>" />
				</label>
			</td>
			
			<td style="width: 45px; background-color: <?php echo($colors['srch_back']); ?>; border: 1px solid #333;">
				<label for="srch_back">
					<input name="postcolors[srch_back]" size="8" value="<?php echo($colors['srch_back']); ?>" />
				</label>
			</td>
		</tr>
		
		<tr valign="top" style="text-align: center;">
			<td style="width: 45px;">
				<small>Page Background</small>
			</td>
			
			<td style="width: 45px;">
				<small>Search Border</small>
			</td>
			
			<td style="width: 45px;">
				<small>Search Background</small>
			</td>
		</tr>
	</table>
	
	<h2>My Color Tray</h2>
	
	<table cellspacing="2" cellpadding="5" class="editform">	
		<tr style="height: 90px;" valign="bottom">
            <td style="width: 45px; background-color: <?php echo($colors['save1']); ?>; border: 1px solid #333;">
				<label for="save1">
					<input name="postcolors[save1]" size="8" value="<?php echo($colors['save1']); ?>" />
				</label>
			</td>
			
			<td style="width: 45px; background-color: <?php echo($colors['save2']); ?>; border: 1px solid #333;">
				<label for="save2">
					<input name="postcolors[save2]" size="8" value="<?php echo($colors['save2']); ?>" />
				</label>
			</td>
			
			<td style="width: 45px; background-color: <?php echo($colors['save3']); ?>; border: 1px solid #333;">
				<label for="save3">
					<input name="postcolors[save3]" size="8" value="<?php echo($colors['save3']); ?>" />
				</label>
			</td>
			
			<td style="width: 45px; background-color: <?php echo($colors['save4']); ?>; border: 1px solid #333;">
				<label for="save4">
					<input name="postcolors[save4]" size="8" value="<?php echo($colors['save4']); ?>" />
				</label>
			</td>
			
			<td style="width: 45px; background-color: <?php echo($colors['save5']); ?>; border: 1px solid #333;">
				<label for="save5">
					<input name="postcolors[save5]" size="8" value="<?php echo($colors['save5']); ?>" />
				</label>
			</td>
			
			<td style="width: 45px; background-color: <?php echo($colors['save6']); ?>; border: 1px solid #333;">
				<label for="save6">
					<input name="postcolors[save6]" size="8" value="<?php echo($colors['save6']); ?>" />
				</label>
			</td>
			
			<td style="width: 45px; background-color: <?php echo($colors['save7']); ?>; border: 1px solid #333;">
				<label for="save7">
					<input name="postcolors[save7]" size="8" value="<?php echo($colors['save7']); ?>" />
				</label>
			</td>
			
			<td style="width: 45px; background-color: <?php echo($colors['save8']); ?>; border: 1px solid #333;">
				<label for="save8">
					<input name="postcolors[save8]" size="8" value="<?php echo($colors['save8']); ?>" />
				</label>
			</td>
			
			<td style="width: 45px; background-color: <?php echo($colors['save9']); ?>; border: 1px solid #333;">
				<label for="save9">
					<input name="postcolors[save9]" size="8" value="<?php echo($colors['save9']); ?>" />
				</label>
			</td>
			
			<td style="width: 45px; background-color: <?php echo($colors['save10']); ?>; border: 1px solid #333;">
				<label for="save10">
					<input name="postcolors[save10]" size="8" value="<?php echo($colors['save10']); ?>" />
				</label>
			</td>
		</tr>
	
		<tr valign="top" style="text-align: center;">
			<td style="width: 45px;">
				<small>Color 1</small>
			</td>
			
			<td style="width: 45px;">
				<small>Color 2</small>
			</td>
			
			<td style="width: 45px;">
				<small>Color 3</small>
			</td>
			
			<td style="width: 45px;">
				<small>Color 4</small>
			</td>
			
			<td style="width: 45px;">
				<small>Color 5</small>
			</td>
			
			<td style="width: 45px;">
				<small>Color 6</small>
			</td>
			
			<td style="width: 45px;">
				<small>Color 7</small>
			</td>
			
			<td style="width: 45px;">
				<small>Color 8</small>
			</td>
			
			<td style="width: 45px;">
				<small>Color 9</small>
			</td>
			
			<td style="width: 45px;">
				<small>Color 10</small>
			</td>
		</tr>
		
	</table>
	
	<p class="submit"><input type="submit" name="Submit" value="<?php _e('Update Options') ?> &raquo;" /></p>
	
    </form>
</div>
<?php

}

?>
